---
id: shifting_to_the_edge
title: "Shifting to the Edge: The Internet's Evolution"
image_caption: "Shifting to the Edge: The Internet's Evolution"
description: With emerging technologies like IoT, Web 3 and more, computing needs to be pushed from centralized...
date: 2022-05-10
taxonomies:
  tags: []
  categories: []
extra:
  imgPath: shifting_to_the_edge.png
---
With new devices being connected every day and emerging technologies like the Internet of Things (IoT), the metaverse and Web 3 gaining popularity, the [demand](https://www.cbre.com/en/insights/reports/north-america-data-center-trends-h2-2021) for Internet capacity is booming. Already, these developments are shifting the [Internet’s “center of gravity”](https://www.securityinfowatch.com/perimeter-security/physical-hardening/article/21263002/real-words-or-buzzwords-edge-cloud-and-the-evolving-internet) from its core to the edges in order to keep up with the growing demand. In an increasingly interconnected world, centralized cloud architectures are proving to be [bottlenecks](https://www.forbes.com/sites/forbestechcouncil/2022/03/25/demystifying-edge-technology/) hindering future growth.

<br/>

Here are some interesting numbers to emphasize the explosive growth of connected devices and the impending data explosion:

<br/>

* Back in 2018, [90% of global data creation](https://www.securityinfowatch.com/perimeter-security/physical-hardening/article/21263002/real-words-or-buzzwords-edge-cloud-and-the-evolving-internet) took place within the two previous years.
* In 2022, [4.95 billion people](https://www.securityinfowatch.com/perimeter-security/physical-hardening/article/21263002/real-words-or-buzzwords-edge-cloud-and-the-evolving-internet) are using the Internet and about [2.5 quintillion bytes](https://www.securityinfowatch.com/perimeter-security/physical-hardening/article/21263002/real-words-or-buzzwords-edge-cloud-and-the-evolving-internet) of data are created on a daily basis.
* About 2 billion computers, 15 billion mobile devices and more than 22 billion IoT devices are [active worldwide](https://www.securityinfowatch.com/perimeter-security/physical-hardening/article/21263002/real-words-or-buzzwords-edge-cloud-and-the-evolving-internet) on a daily basis.
* By 2025, more than [1 billion people](https://www.cisco.com/c/en/us/solutions/executive-perspectives/annual-internet-report/index.html) and [75 billion IoT devices](https://www.statista.com/statistics/471264/iot-number-of-connected-devices-worldwide/#:~:text=Internet%20of%20Things%20%2D%20number%20of%20connected%20devices%20worldwide%202015%2D2025&text=By%202025%2C%20forecasts%20suggest%20that,IoT%20installed%20base%20in%202019.) are expected to join the Internet.

<br/>

And yet, the expansion of Internet capacity still largely occurs in the same centralized and inefficient way. The client-server model of hyperscale data centers is unable to meet this rapidly growing demand due to high building and operational costs to fulfill bandwidth, performance and cybersecurity requirements. As data centers are primarily built in the US, China and Europe, emerging countries have to be connected via sea cables which makes the model’s limitations particularly severe for these countries. And even in countries where many data centers are located, they are built in regions where land and electricity are as cheap as possible. Consequently, the bulk of data centers is still [far away](https://www.securityinfowatch.com/perimeter-security/physical-hardening/article/21263002/real-words-or-buzzwords-edge-cloud-and-the-evolving-internet) from where the majority of users and connected devices reside, and where huge amounts of data are generated that require processing – resulting in a [weak distribution](https://library.threefold.me/info/threefold#/tfgrid/threefold__grid_valuation?id=what39s-the-potential-of-the-threefold-grid) of Internet capacity.

<br/>

About [175 Zettabytes](https://www.seagate.com/files/www-content/our-story/rethink-data/files/Rethink_Data_Report_2020.pdf) of data will be created by 2025, as our economy becomes increasingly digital and data driven. And this amount of data needs to be captured, stored and activated in a secure, efficient and high-performing way. So, the aforementioned technological use cases will not only [accelerate the demand](https://www.cbre.com/en/insights/reports/north-america-data-center-trends-h2-2021) for Internet capacity but also require edge capabilities, such as low latencies, in order to run and scale successfully. In fact, the centralized data center model poses one of the biggest obstacles to the success and spread of the Internet of Things and related applications. This will have to change. Actually, industry experts [expect 75%](https://www.i-scoop.eu/edge-computing-explained/) of data to be processed outside of the traditional data center or cloud model by 2025.

## The rise of edge computing

Computing needs to be pushed from centralized data centers to the edge to support the massive data consumption coupled to the rise of connected devices and emerging technologies. For instance, as more and more home appliances and devices are getting interconnected through the IoT economy, the amount of real-time data generated within our homes on a daily basis is rapidly expanding. Edge computing [tackles the shortcomings](https://www.i-scoop.eu/edge-computing-explained/) of the centralized model in terms of bandwidth, latency and autonomy. It enables applications and solutions to be hosted closer to where their data is being produced and consumed, thereby allowing for low latencies, rapid data processing and real-time decisions. 

<br/>

The industry analyst company [IDC estimates](https://www.idc.com/getdoc.jsp?containerId=prUS48772522) the global spending on edge computing to increase by 14.8% compared to 2021 – amounting to roughly $176 billion in 2022. By 2025, this number is predicted to reach about $274 billion.

<br/>

The idea of edge computing’s ability to process data on-site is simple enough. Nevertheless, edge computing fails to deliver on its promise as it still remains somewhat centralized today. Granted, so-called edge data centers are [closer](https://stlpartners.com/articles/edge-computing/edge-data-centres/) to where the data is being consumed than hyperscale data centers. But while they do provide an improvement from traditional data centers, they are not able to provide [far-edge](https://www.thefastmode.com/expert-opinion/23002-what-are-various-types-of-edge-computing-that-exist-today) capabilities, i.e. moving as close to the user and point of data creation as possible. They are simply smaller types of data centers that are still operated in a centralized manner, require the [same infrastructure elements](https://connectorsupplier.com/how-the-rise-of-edge-computing-will-reshape-the-data-center-landscape/) as centralized data centers, and usually [rely](https://www.techtarget.com/searchdatacenter/definition/edge-data-center) on bigger, central data centers. Quite edgy isn’t it?

<br/>

As the need for Internet capacity – specifically at the edge – is rapidly intensifying, a new approach to Internet infrastructure is clearly needed. The Web 3 movement created a spur of interest across industries due to its promise to decentralize the Internet and cloud as we know it. Future data will be generated at the edge of the network and Internet which certainly requires an [architectural shift](https://www.forbes.com/sites/forbestechcouncil/2022/03/25/demystifying-edge-technology/) away from the current model.

## Realizing an interconnected future

Ironically, decades after the spark of the open-source peer-to-peer Internet movement was steamrolled by large tech companies and governments eager to centralize the global Internet, we seem to enter an era of decentralization again. There’s no doubt that large tech companies did bring a lot of innovation to our global Internet and cloud stack. Technically though, [peer-to-peer](https://threefold.io/blog/p2p_web3/) systems have always been the most scalable option. Moreover, open-source architectures have built a strong reputation for providing high levels of security and flexibility. 

<br/>

In a peer-to-peer model, people and devices are able to exchange directly, without intermediaries or servers in the middle – leading to a more energy-efficient, scalable and flexible paradigm that can expand on-demand. And undoubtedly, open-source will play a [key role](https://news.crunchbase.com/news/edge-computing-said-quissal-zededa/) in edge computing by simplifying and enhancing the building and deployment of software at the edge.

<br/>

By leveraging open-source and peer-to-peer technologies, TF9 has come up with an Internet infrastructure that is capable of far-edge computing. TF9 offers a powerful set of [compute primitives](https://threefold.io/blog/building_a_new_internet_from_the_ground_up_3/) that provide the agility to create and deploy containers, Virtual Machines (VMs) and [Kubernetes](https://library.threefold.me/info/threefold#/technology/threefold__zkube?id=zkube) environments at the edge. Having integrated all leading industry-standard tools, ThreeFold’s solution allows for a seamless migration of any digital workload, making TF9 the ideal infrastructure for edge workloads. And all data produced by these workloads can be stored in a way that is ultra safe, highly reliable and [unbreakable](https://library.threefold.me/info/threefold#/technology/qsss/threefold__qsss_home?id=quantum-safe-storage-system). Combined with end-to-end encrypted peer-to-peer [networking](https://library.threefold.me/info/threefold#/technology/threefold__planetary_network?id=planetary-network), applications can be hosted closer to where the data is being consumed – representing the ideal underlying layer for IoT networks, blockchain-based workloads and more to run and scale at the edge seamlessly, efficiently and privately.

<br/>

The shift towards the edge is inevitable. TF9 is the first full-stack, [decentralized](https://coincheckup.com/blog/threefold-is-the-decentralized-web-the-future-of-the-internet/), peer-to-peer Internet infrastructure in the world that combines compute in the form of highly-optimized containers, storage and network capacity in an all-in-one solution. With  more than [81 Petabytes](https://threefold.io/) of capacity distributed across thousands of 3Nodes and 76 countries as well as [plans](https://threefold.io/blog/connecting_the_dots/) to sponsor the expansion of the Internet to developing regions, TF9 is the foundation for a thriving interconnected future that is secure, borderless and at the edge.